FreeMat

- Main Page
- Related Pages

vtkEvent

Section: Visualization Toolkit Widget Classes

# Usage

vtkEvent is a class that fully describes a VTK event. It is used by the widgets to help specify the mapping between VTK events and widget events.

To create an instance of class vtkEvent, simply invoke its constructor as follows

      obj = vtkEvent

# Methods

The class vtkEvent has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkEvent class.

- `string = obj.GetClassName ()` - Standard macros.
- `int = obj.IsA (string name)` - Standard macros.
- `vtkEvent = obj.NewInstance ()` - Standard macros.
- `vtkEvent = obj.SafeDownCast (vtkObject o)` - Standard macros.
- `obj.SetEventId (long )` - Set the modifier for the event.
- `long = obj.GetEventId ()` - Set the modifier for the event.
- `obj.SetModifier (int )` - Set the modifier for the event.
- `int = obj.GetModifier ()` - Set the modifier for the event.
- `obj.SetKeyCode (char )` - Set the KeyCode for the event.
- `char = obj.GetKeyCode ()` - Set the KeyCode for the event.
- `obj.SetRepeatCount (int )` - Set the repease count for the event.
- `int = obj.GetRepeatCount ()` - Set the repease count for the event.
- `obj.SetKeySym (string )` - Set the complex key symbol (compound key strokes) for the event.
- `string = obj.GetKeySym ()` - Set the complex key symbol (compound key strokes) for the event.